package com.yixin.ms.server.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/22 17:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class PlaceInfoVO {
    @ApiModelProperty("城市编码")
    private String cityCode;

    private Integer adminId;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty("核酸有效期时间，单位小时，0:不限")
    private Integer nucleicExpirationTime = 0;

    @ApiModelProperty("景区预约标识")
    private Boolean scenicFlag = false;

    @ApiModelProperty(value = "没有行程信息是否开门 1-开门（默认）0-关门")
    private Boolean noXcOpenDoor = true;

    @ApiModelProperty(value = "24小时内核酸报告未出是否开门：1-开门（默认）0-关门")
    private Boolean noHsOpenDoor =true;

    @ApiModelProperty(value = "去过中高风险地区是否开门 1-开门（默认）0-关门")
    private Boolean riskXcOpenDoor = true;

    @ApiModelProperty(value = "不允许通行的身份证地区代码，用/分隔")
    private String noAllowAreaCode = "";

    @ApiModelProperty(value = "行程码需检测是否开门 1-开门（默认）0-关门")
    private Boolean xcNeedCheckOpenDoor = true;

    @ApiModelProperty(value = "是否通过黑名单校验 1-通过  0-不通过")
    private Boolean isThroughBlackCheck = true;
}
